Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor.descriptor
Class DescriptionManager

    java.lang.Object
      datechooser.beans.editor.descriptor.DescriptionManager

    public class DescriptionManager

extends java.lang.Object

Describes all properties used in this library. Descriptions: text (for users) and java (for IDEs).
Класс, позволяющий получить описание всех свойств компонентов, используемых в библиотеке. Предоставляется описание двух основных типов: текстовое (для вывода на экран) и java (для генерации кода).
Бы принято решение не включать соответствующие методы в классы свойств по нескольким причинам:
1) Вывод таких описаний логически не относятся к функциям классов.
2) Некоторые классы свойств из стандартной библиотеки (String, boolean, ...) поэтому нет возможности встроить в них соответствующий механизм. Поэтому для избежания путаницы лучше вынести описание классов за их пределы.
Описатели каждого типа предсавлены объектами отдельных классов, которые регистрируются в этом.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `ClassDescriptor`

Method Summary
`static java.lang.String` | `describe(java.lang.Object value)` Text description for component users.
`static java.lang.String` | `describe(java.lang.Object value, java.util.Locale locale)` Text description for component users.
`static java.lang.String` | `describeJava(java.lang.Object value, java.lang.Class aClass)` Java initialization code.
`void` | `registerDescriptor(ClassDescriptor descriptor)` Lets register new class descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerDescriptor

    public void registerDescriptor(ClassDescriptor descriptor)

  Lets register new class descriptor.
  Позволяет зарегистрировать собственный описатель класса.

  Parameters:
    `descriptor` - Desriptor class for user object.
    Класс, описывающий, объекты пользовательского типа.
  See Also:
    `ClassDescriptor`

### describe

    public static java.lang.String describe(java.lang.Object value)

  Text description for component users.
  Возвращает описание объекта для вывода на экран.

  Parameters:
    `value` - Object for description.
    Описываемый объект.
  Returns:
    Object description.
    Описание объекта

### describe

    public static java.lang.String describe(java.lang.Object value,
                                            java.util.Locale locale)

  Text description for component users.
  Возвращает описание объекта для вывода на экран.

  Parameters:
    `value` - Object for description.
    Описываемый объект.
    `locale` - Locale.
    Локализация
  Returns:
    Object description.
    Описание объекта

### describeJava

    public static java.lang.String describeJava(java.lang.Object value,
                                                java.lang.Class aClass)

  Java initialization code.
  Код инициализации объекта на Java

  Parameters:
    `value` - Object for description.
    Описываемый объект.
    `aClass` - Class of describing object. Used when value = null.
    Класс описываемого значение. Используется только в случаях, когда первый параметр равен null.
  Returns:
    Java initialization code.
    Java код

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD